﻿/*************************************\
 *               Regex               *
 *                                   *
 * Kapitel: Wichtige C#-Klassen      *
 * Zuordnung: C#-Buch V2.0 7.3       *
 *                                   *
 *  Copyright 2015 by Benjamin Jung  *
\*************************************/
using System;
using System.Text.RegularExpressions;

namespace CSV20.Reguläre_Ausdrücke
{
    class Program
    {
        static void Main(string[] args)
        {
            // Info: durch das @-Zeichen vor einer Zeichenkette ist es nicht notwendig einen Schrägstrich zu "escapen" (also statt \\ -> \)
            Console.WriteLine(Regex.Replace("Hallo Welt  vom C#-Buch Version    2.0 vom   Jahr  2015!", @"\s+", " "));

            Console.WriteLine();

            Console.Write("Bitte geben Sie eine IP-Adresse ein: ");
            if (Regex.IsMatch(Console.ReadLine(), @"^((25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9])$"))
                Console.WriteLine("Die eingegebene IP-Adresse ist gültig!");
            else
                Console.WriteLine("Ihre Eingabe entspricht keiner gültigen IP-Adresse.");
            
            Console.ReadKey();
        }
    }
}